aboutsummaryrefslogtreecommitdiffstats
path: root/brp-strip-comment-note
diff options
context:
space:
mode:
authorOlivier Thauvin <nanardon@mandriva.org>2005-04-26 23:25:40 +0000
committerOlivier Thauvin <nanardon@mandriva.org>2005-04-26 23:25:40 +0000
commit3d18e198d27190a4bfe8acd66518773acc39f4d7 (patch)
tree668f3f5db61491526cefc7d6372f7c5bebc99e90 /brp-strip-comment-note
parent14106b93fcb2cae4a8c164a5b4030b274966b422 (diff)
downloadrpm-setup-3d18e198d27190a4bfe8acd66518773acc39f4d7.tar
rpm-setup-3d18e198d27190a4bfe8acd66518773acc39f4d7.tar.gz
rpm-setup-3d18e198d27190a4bfe8acd66518773acc39f4d7.tar.bz2
rpm-setup-3d18e198d27190a4bfe8acd66518773acc39f4d7.tar.xz
rpm-setup-3d18e198d27190a4bfe8acd66518773acc39f4d7.zip
- import
Diffstat (limited to 'brp-strip-comment-note')
-rwxr-xr-xbrp-strip-comment-note18
1 files changed, 18 insertions, 0 deletions
diff --git a/brp-strip-comment-note b/brp-strip-comment-note
new file mode 100755
index 0000000..0985795
--- /dev/null
+++ b/brp-strip-comment-note
@@ -0,0 +1,18 @@
+#!/bin/sh
+# If using normal root, avoid changing anything.
+if [ -z "$RPM_BUILD_ROOT" -o "$RPM_BUILD_ROOT" = "/" ]; then
+ exit 0
+fi
+
+# Strip .comment and .note sections (the latter only if it is not allocated)
+# for already stripped elf files in the build root
+for f in `find $RPM_BUILD_ROOT -type f \( -perm -0100 -or -perm -0010 -or -perm -0001 \) -exec file {} \; | \
+ grep -v "^${RPM_BUILD_ROOT}/\?usr/lib/debug" | \
+ sed -n -e 's/^\(.*\):[ ]*ELF.*, stripped/\1/p'`; do
+ note="-R .note"
+ if objdump -h $f 2>/dev/null | grep '^[ ]*[0-9]*[ ]*.note[ ]' -A 1 | \
+ grep ALLOC >/dev/null; then
+ note=
+ fi
+ strip -R .comment $note $f || :
+done